#!/usr/bin/env bash

mode="$1";
shift;

echo ">>> Environment:";
echo "[wrapper] NOMAD_PORT_kiwix=$NOMAD_PORT_kiwix";
echo "[wrapper] Mode: ${mode}";
echo "[wrapper] Args: $*";

echo ">>> Checking environment";
if [[ -z "${NOMAD_PORT_kiwix}" ]]; then
	echo "Error: The environment variable NOMAD_PORT_kiwix is not set. It must be set to the port number to listen on." >&2;
	exit 1;
fi

echo ">>> Starting kiwix";
case "${mode}" in
	serve )
		echo ">>> kiwix-serve --library --port ${NOMAD_PORT_kiwix} /srv/data";
		/app/kiwix-serve --library --monitorLibrary --port "${NOMAD_PORT_kiwix}" /srv/data/library.xml;
		;;
	* )
		echo ">>> kiwix-serve $*";
		/app/kiwix-serve "$@";
		;;
esac
